Bug 1799833 - openjpa: FTBFS in Fedora rawhide/f32 [NEEDINFO]
Summary: openjpa: FTBFS in Fedora rawhide/f32
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: openjpa
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:06 UTC by Fedora Release Engineering
Modified: 2020-05-31 04:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
releng: needinfo? (extras-orphan)


Attachments (Terms of Use)
build.log (1.21 KB, text/plain)
2020-02-06 19:06 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 19:06 UTC, Fedora Release Engineering
no flags Details
state.log (833 bytes, text/plain)
2020-02-06 19:06 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 19:06:37 UTC
openjpa failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41320100


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix openjpa at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
openjpa will be orphaned. Before branching of Fedora 33,
openjpa will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:06:40 UTC
Created attachment 1660201 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 19:06:42 UTC
Created attachment 1660202 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:06:43 UTC
Created attachment 1660203 [details]
state.log

Comment 4 Jakub Jelen 2020-02-10 14:05:27 UTC
This package has broken dependencies for some time and missing packages that were retired are the following:

DEBUG util.py:596:  No matching package to install: 'mvn(org.apache.derby:derby)'
DEBUG util.py:596:  No matching package to install: 'mvn(org.osgi:org.osgi.core)'

The bval-core package changed its name to bval so it needs just a simple tweak

diff --git a/openjpa.spec b/openjpa.spec
--- a/openjpa.spec
+++ b/openjpa.spec
@@ -33,7 +33,6 @@ BuildRequires: mvn(net.sourceforge.serp:serp)
 BuildRequires: mvn(org.apache:apache:pom:)
 BuildRequires: mvn(org.apache.ant:ant)
 BuildRequires: mvn(org.apache.ant:ant-jsch)
-BuildRequires: mvn(org.apache.bval:bval-core)
 BuildRequires: mvn(org.apache.bval:bval-jsr)
 BuildRequires: mvn(org.apache.commons:commons-jci-rhino)
 BuildRequires: mvn(org.apache.derby:derby)
@@ -156,9 +155,9 @@ sed -i "s|org.apache.xbean.asm5|org.objectweb.asm|" \
 %pom_remove_plugin :maven-invoker-plugin %{name}-tools/%{name}-maven-plugin
 
 # Fix bval deps
-%pom_change_dep org.apache.bval: :bval-core:1.1.1
-%pom_change_dep org.apache.bval: :bval-core:1.1.1 %{name}-tools/%{name}-maven-plugin
-%pom_add_dep org.apache.bval:bval-jsr:1.1.1 %{name}-tools/%{name}-maven-plugin
+%pom_remove_dep org.apache.bval:
+%pom_remove_dep org.apache.bval: %{name}-tools/%{name}-maven-plugin
+%pom_add_dep org.apache.bval:bval-jsr:2.0.3 %{name}-tools/%{name}-maven-plugin
 
 # Force servlet 3.1 apis
 %pom_change_dep javax.servlet:servlet-api :javax.servlet-api:3.1.0 %{name}-jest

Comment 5 Ben Cotton 2020-02-11 16:33:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 6 Jakub Jelen 2020-03-30 07:42:43 UTC
See the comment #4. The package this one depends on were silently retired

No matching package to install: 'mvn(org.apache.derby:derby)'
No matching package to install: 'mvn(org.osgi:org.osgi.core)'

And I really do not have time to exercise the going through the whole list of dependent packages and checking if some of them were orphaned, retired and pulling more to my plate every month.

orphaning

Comment 7 Miro Hrončok 2020-04-06 10:59:06 UTC
According to the policy, this package in orphaned.

If you wish to unorphan it, claim it via the web interface at https://src.fedoraproject.org/ (bottom part of the left column when viewing the package). When you do, don't forget to also change this bug's status.

(This comment is mass posted to all affected packages and I am not subscribed to all of the bugzillas. If you wish to ask me something please add me to CC and/or use a Bugzilla needinfo. Thanks.)

Comment 8 Miro Hrončok 2020-04-06 11:04:18 UTC
According to the policy, this package in orphaned.

If you wish to unorphan it, claim it via the web interface at https://src.fedoraproject.org/ (bottom part of the left column when viewing the package). When you do, don't forget to also change this bug's status.

(This comment is mass posted to all affected packages and I am not subscribed to all of the bugzillas. If you wish to ask me something please add me to CC and/or use a Bugzilla needinfo. Thanks.)

Comment 9 Fedora Release Engineering 2020-04-19 04:24:06 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 10 Fedora Release Engineering 2020-05-10 04:23:42 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 11 Fedora Release Engineering 2020-05-31 04:23:50 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.